Bug 268868 - cos-update tab behaves too aggressively
cos-update tab behaves too aggressively
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
Dev
PC Linux
: P2 (vote)
: Dev
Assigned To: Tomas Zezula
issues@java
:
Depends on: 270506 270532
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-07 08:22 UTC by Jaroslav Tulach
Modified: 2017-05-03 01:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2016-11-07 08:22:18 UTC
When cos-update tab is shown, it behaves problematically:

- it replaces any other Ant execution - e.g. hard to inspect of what is going on
- it saves all source files (why!?) which may trigger code changes in editor
- the tab is named very uselessly (why not include name of real project in it?)

as such there are situations where compile on save really stands in a way of reasonable development. For example when I have "remove unused imports on save" - I can get to a situation where I cannot try "import x.y.Z" as the file gets immediately saved and the import is again removed.

Replacing user's Ant execution tab is also problematic: If I run tests I want to inspect their results and not loose them because the IDE thinks it is time to run CoS update.
Comment 1 Jaroslav Tulach 2016-11-07 08:23:48 UTC
One more problem:

Repeat execution (Ctrl-F11) invokes CoS rather than the real user execution.
Comment 2 Tomas Zezula 2017-04-27 16:05:59 UTC
Fixed jet-main 3f15a8cd49d4
Comment 3 Quality Engineering 2017-04-30 01:49:54 UTC
Integrated into 'main-silver', will be available in build *201704300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3f15a8cd49d4
User: Tomas Zezula <tzezula@netbeans.org>
Log: #268868:cos-update tab behaves too aggressively
Comment 4 Tomas Zezula 2017-05-02 06:34:01 UTC
Fixed the Repeat execution (Ctrl-F11)
jet-main c76918fd7ed5
Comment 5 Quality Engineering 2017-05-03 01:49:50 UTC
Integrated into 'main-silver', will be available in build *201705030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/c76918fd7ed5
User: Tomas Zezula <tzezula@netbeans.org>
Log: #268868: cos-update tab behaves too aggressively


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo